Package org.eclipse.cdt.utils.debug

# Class DebugEnumType

java.lang.Object
org.eclipse.cdt.utils.debug.DebugType
org.eclipse.cdt.utils.debug.DebugEnumType

public class DebugEnumType extends DebugType
DebugEnumType

## Constructor Summary

Constructors
Constructor
Description
`DebugEnumType(String name, DebugEnumField[] fields)`

## Method Summary

Modifier and Type
Method
Description
`DebugEnumField[]`
`getDebugEnumFields()`
`String`
`getName()`

### Methods inherited from class org.eclipse.cdt.utils.debug.DebugType

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DebugEnumType

public DebugEnumType(String name, DebugEnumField[] fields)

## Method Details

### getDebugEnumFields

public DebugEnumField[] getDebugEnumFields()

### getName

public String getName()